<?php
include_once("_dirinfo.php");
include_once(PATH_TO_ROOT."init.php");
include_once(PATH_TO_ROOT."webcati/_class/class.quotas.php");
	
$db->ChangeDatabase(DB_WARPIT_WEBCATI_BASE);

if(isset($_POST["id_project"]))
	$id_proj=$_POST["id_project"];
else 
	$id_proj=0;

$q=new quotes($id_proj, $db);

if($_GET["action"]=="get_values")
{
	$values_to_recode=$_POST["id_s"];
	//echo $values_to_recode;
	
	
	//print_r($values_to_recode);
	if($q->get_element_values($values_to_recode))
		echo '{success:true, rows:'.json_encode($q->element_values_for_recode).'}';
}
else if($_GET["action"]=="recoded_values")
{
	$recoded_values=$_POST["id_s"];
	
	//print_r($recoded_values);
	if($q->get_recoded_values($recoded_values))
	{
		//print_r($q->recoded_values);
		echo '{success:true, rows:'.json_encode($q->recoded_values).'}';
	}
	else
		echo '{success:true, rows:[]}'; 
}
else if($_POST["action"]=="recode")
{
	$recode=json_decode(stripslashes($_POST["data"]));
	$lab_val=$_POST["podatki"];
	
	if($q->recode_values($recode, $lab_val["label"], $lab_val["value"]))
	{
		echo '{success:true, rows:[]}';
	}
	else 
		echo '{success:true, rows:[]}'; 
}
else if($_POST["action"]=="recode2")
{	
	if($q->recode_values2($_POST["id_s"], $_POST["podatki"]))
	{
		echo '{success:true, rows:[]}';
	}
	else
		echo '{success:true, rows:[]}'; 
}
else if($_GET["action"]=="delete_recoded_value")
{
	$id=json_decode(stripslashes($_POST["data"]));
	//print_r($id);
	$q->delete_recoded_value($id[0]);
	echo '{success:true, rows:[]}'; 
}

/*if($_GET["do"]=="get_el_values")
{
	$values_to_recode=json_decode(stripslashes($_POST["data"]));
	print_r($values_to_recode);
}*/
	
//echo '{success:true, rows:'.json_encode($q->element_values_for_recode).'}'; 
?>
